package model

import (
	"time"
)

type RbacRules struct {
	ID        uint64    `gorm:"primaryKey;column:id" json:"id"`
	Ptype     string    `gorm:"column:ptype" json:"ptype"`
	V0        string    `gorm:"column:v0" json:"v0"`
	V1        string    `gorm:"column:v1" json:"v1"`
	V2        string    `gorm:"column:v2" json:"v2"`
	V3        string    `gorm:"column:v3" json:"v3"`
	V4        string    `gorm:"column:v4" json:"v4"`
	V5        string    `gorm:"column:v5" json:"v5"`
	CreatedAt time.Time `gorm:"column:created_at" json:"created_at"`
	UpdatedAt time.Time `gorm:"column:updated_at" json:"updated_at"`
}

func (m *RbacRules) TableName() string {
	return "rbac_rules"
}
