package model

import (
	"time"
)

type RbacPermissions struct {
	ID          uint64    `gorm:"primaryKey;column:id" json:"id"`
	Method      string    `gorm:"column:method" json:"method"`
	Path        string    `gorm:"column:path" json:"path"`
	URL         string    `gorm:"column:url" json:"url"`
	Description string    `gorm:"column:description" json:"description"`
	CreatedAt   time.Time `gorm:"column:created_at" json:"created_at"`
	UpdatedAt   time.Time `gorm:"column:updated_at" json:"updated_at"`
}

func (m *RbacPermissions) TableName() string {
	return "rbac_permissions"
}
